<?xml version="1.0" encoding="Win-1251"?>
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
	<composition name="CBegunok">
		<image name="imBckgr0" src="rmgr:begunok/border-light.png" y="-1" x="-1" depth="0"/>
		<image name="imBckgr1" src="rmgr:begunok/center-white.png" depth="-1"/>
		<image name="imBckgr2" src="rmgr:begunok/center-blue.png" depth="-2"/>
		<image name="begunok" src="rmgr:begunok/begunok.png" y="-2" x="-1" depth="-4"/>
		<script><![CDATA[
			this.stepsCount = 0;
			
			function setStepsCount(num)
			{
				this.stepsCount = num;
				this.imBckgr1.width = num * 25;
				this.imBckgr0.width = num * 25 + 3;
				for (var i = 0; i <= num; i++)
				{
					var im = new Image;
					im.name = "imStep"+i;
					im.parent = this;
					im.depth = -3
					im.src = "rmgr:begunok//border.png";
					im.x = 25 * i;
				}
			}
			
			function setStep(num)
			{
				if (num <= this.stepsCount)
				{
					if (num == 0)
					{
						this.begunok.x = 25 * num - 1;
					}
					else if (num == this.stepsCount)
					{
						this.begunok.x = 25 * num - 6;
					}
					else
					{
						this.begunok.x = 25 * num - 4;
					}
					this.imBckgr2.width = num * 25;
				}
			}
		]]></script>
	</composition>
</rmml>
